package com.supervision.police.dto;

import com.supervision.constant.JudgeResultEnum;
import com.supervision.constant.ScoreEnum;
import lombok.Data;

import java.util.Objects;

@Data
public class AtomicIndexDTO {

    /**
     * 指标名称
     */
    private String indexName;

    /**
     * 分值
     */
    private Integer score;

    /**
     * 指标结果
     */
    private String indexResult;

    /**
     * 笔录问答
     */
    private String record;

    /**
     * 原子指标结果
     */
    private String atomicResult;


    public void atomicResultToIndexResult() {
        JudgeResultEnum instance = JudgeResultEnum.getInstance(this.atomicResult);
        if (Objects.isNull(instance)){
            this.indexResult = "false";
            return;
        }
        this.indexResult = instance.flagIsTrue() ? "true" : "false";
    }

}
